Global:
  model: FasterNet-L
  mode: check_dataset # check_dataset/train/evaluate/predict
  dataset_dir: "/paddle/dataset/paddlex/cls/cls_flowers_examples"
  device: gpu:0,1,2,3
  output: "output"

CheckDataset:
  convert: 
    enable: False
    src_dataset_type: null
  split: 
    enable: False
    train_percent: null
    val_percent: null

Train:
  num_classes: 102
  epochs_iters: 20
  batch_size: 64
  learning_rate: 3e-3
  pretrain_weight_path: https://paddle-model-ecology.bj.bcebos.com/paddlex/official_pretrained_model/FasterNet-L_pretrained.pdparams
  warmup_steps: 5
  resume_path: null
  log_interval: 1
  eval_interval: 1
  save_interval: 1

Evaluate:
  weight_path: "output/best_model/best_model.pdparams"
  log_interval: 1
Export:
  weight_path: https://paddle-model-ecology.bj.bcebos.com/paddlex/official_pretrained_model/FasterNet-L_pretrained.pdparams

Predict:
  batch_size: 1
  model_dir: "output/best_model/inference"
  input: "https://paddle-model-ecology.bj.bcebos.com/paddlex/imgs/demo_image/general_image_classification_001.jpg"
  kernel_option:
    run_mode: paddle
